Issue 6754

Title
Add only modified records of xxx2Many
Priority
feature
Status
chatting
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2017-09-08.19:47:03 by ced, last changed yesterday by reviewbot.

Messages

New changeset d91743403415 by Cédric Krier in branch 'default':
Add only modified records of xxx2Many
http://hg.tryton.org/sao/rev/d91743403415
New changeset 361ac7c348d9 by Cédric Krier in branch 'default':
Add only modified records of xxx2Many
http://hg.tryton.org/tryton/rev/361ac7c348d9
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2017-09-08.19:47:03
The xxx2Many field on client side add always all the known records, no matter if they are already added or not.
The idea was to be sure that what the user see is what is saved. But this forces the server to check if all records are already added or not. This can be slow on very large list.
So the idea is to only add the modified records and of course to mark the record as modified when it is added.
History
Date User Action Args
2020-10-24 22:28:18reviewbotsetmessages: + msg61369
status: resolved -> chatting
2020-10-24 22:28:17reviewbotsetreviews: 36611002, 38641002, 39801002, 43611002 -> 36611002, 38641002, 39801002, 43611002, 308441002
2017-10-21 10:45:48cedsetstatus: chatting -> resolved
2017-10-16 17:07:31reviewbotsetmessages: + msg36309
2017-10-16 17:07:31reviewbotsetreviews: 36611002, 38641002, 39801002 -> 36611002, 38641002, 39801002, 43611002
2017-10-16 17:07:15reviewbotsetstatus: resolved -> chatting
messages: + msg36308
2017-10-16 17:07:15reviewbotsetreviews: 36611002,38641002 -> 36611002, 38641002, 39801002
2017-09-27 18:48:47roundup-botsetmessages: + msg35854
2017-09-27 18:48:09roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg35853
2017-09-20 19:23:07reviewbotsetmessages: + msg35715

Showing 10 items. Show all history (warning: this could be VERY long)